### org.jfree.layouting.input.style.keys.text

# Class TextDecorationStyle

- `java.lang.Object`
- - `org.jfree.layouting.input.style.keys.text.TextDecorationStyle`

`public class TextDecorationStyle`
`extends java.lang.Object`

Used for underline, strike-through and overline.

Author:
  Thomas Morgner

  ## Field Summary

  `static CSSConstant`

  `DASHED`

  `static CSSConstant`

  `DOTTED`

  `static CSSConstant`

  `DOT_DASH`

  `static CSSConstant`

  `DOT_DOT_DASH`

  `static CSSConstant`

  `DOUBLE`

  `static CSSConstant`

  `LONG_DASH`

  `static CSSConstant`

  `NONE`

  `static CSSConstant`

  `SOLID`

  `static CSSConstant`

  `WAVE`

## Field Details

### DASHED

    public static final CSSConstant DASHED

### DOTTED

    public static final CSSConstant DOTTED

### DOT_DASH

    public static final CSSConstant DOT_DASH

### DOT_DOT_DASH

    public static final CSSConstant DOT_DOT_DASH

### DOUBLE

    public static final CSSConstant DOUBLE

### LONG_DASH

    public static final CSSConstant LONG_DASH

### NONE

    public static final CSSConstant NONE

### SOLID

    public static final CSSConstant SOLID

### WAVE

    public static final CSSConstant WAVE